Questions tagged [installation]

Procedure of making a computer program ready for execution

Filter by
Sorted by
Tagged with
1
vote
0answers
43 views

Installing Rasterio and GDAL API in a virtuallenv in Windows 10

Following rasterio installation guidelines (rasterio.readthedocs.io) I downloaded the relevant wheel files from Cristoph's list (link) and installed them successfully on my Windows 10 system. Yet I ...
1
vote
0answers
31 views

Issue opening with QGIS3.4 Madeira

I just installed QGIS Madeira 3.4 on my WINDOWS Vista PC (64bits). But I can't work with it, since I keep getting the same error: And just after, this one: Should I uninstall it? What could I do in ...
1
vote
1answer
42 views

Autoinstall dependencies in RStudio [closed]

Is there any way to autoinstall the packages another package depends on. I just downloaded RStudio 1.3.62 and can't remember having these issues before. They looked like this when I tried to install ...
0
votes
0answers
18 views

ModuleNotFoundError: No module named '_gdal' … but I have GDAL

I'm really at my wit's end with this. I'm on a Macbook running Sierra 10.12, so I used the KyngChaos installation of QGIS 3.8. I followed the instructions in the ReadMe (added the PATH variable), and ...
1
vote
0answers
23 views

GDAL framework does not exist after KyngChaos installation of QGIS

I'm on a Macbook running Sierra 10.12, so I used the KyngChaos installation of QGIS 3.8. I followed the instructions in the ReadMe, and installed python (though I already had it on my machine), GDAL ...
0
votes
1answer
27 views

Using ArcGIS Pro Python 3 as system default [closed]

I know that the Python 3 version installed with ArcGIS Pro comes with a lot of bells and whistles as well as with Conda. However, without changing my system PATH, if I type pythonor condain my Command ...
2
votes
0answers
26 views

Search yields no results in plugins menu

I can't manage to figure out why I can't download any plugins. I have an Internet connection, but it seems like QGIS can't access the online repository of plugins. As an example, I'd like to download ...
0
votes
0answers
34 views

Downloading QGIS for Mac OS?

My mac is too old to install the latest OS which seems to be required for the QGIS complete package. I want to use QGIS 3.4 for Mac OS x 10.11 (El capitan). Is there a download available for this?
1
vote
0answers
42 views

QGIS Installation problem

Previously I had Windows 7 and I recently installed Windows 10 (64-bit) on my computer. Upon installation of QGIS ( newer /older versions) the installation completes taking more time than it usually ...
0
votes
2answers
60 views

Which versions of python3 can we use with current QGIS3 version

Mac OS 10.04, QGIS 3.10. I have been a way from QGIS for a while and I am now setting up a "new" Mac and having my usual battle with python. Great to see that we now have signed package for QGIS but ...
1
vote
0answers
21 views

Can't install GeoServer WPS, missing files

I'm following the instructions step by step from GeoServer to build a GeoServer with WPS remote plugin but at some point in the instructions in the deploy and configure https://docs.geoserver.org/...
2
votes
0answers
23 views

Importing qgis.core on Ubuntu Server

My goal is to run QGIS processing algorithms using a python script on an ubuntu server. I have installed QGIS on the server using $ sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable $ sudo ...
0
votes
0answers
68 views

Unable to load PostGIS-table for QGIS on MacOS Catalina

I just updated to the QGIS 3.10 release under MacOS Catalina. In 3.8 I had no problem using PostGIS-data. When I now try to load the same PostGIS-layer in 3.10 it fails. When testing the connection, ...
1
vote
1answer
59 views

Upgrading from QGIS 2.18 to QGIS 3.8 on Ubuntu? [closed]

I have an old version of QGIS 2.4 on Laptop. I want to upgrade it to the latest version but I couldn't update it to the latest one. I tried uninstalling the old one to update it. But when I try to ...
1
vote
1answer
105 views

No module named networkx

I'm trying to import the module networkx with the Python console in ArcGIS, but I keep getting the error "no module named networkx". I have installed it with the command "pip install networkx". How ...
1
vote
1answer
80 views

Time series of NetCDF data in QGIS?

I am a newbie, trying to import a NetCDF file of satellite chlorophyll imagery into QGIS 3.8 (WIndows Standalone install). I have added the raster layer and view the individual layers under "...
-1
votes
1answer
45 views

Installing water utility network in ArcGIS Desktop 10.0

I am using ArcGIS Desktop 10.0. I cannot install water utility network in ArcGIS Desktop 10.0. I did not find "infrastructure editing toolbar" application. Where can I find this?
0
votes
0answers
149 views

Using GDAL with Anaconda

I want to read sentinel-2's image (jp2 format) with anaconda: geopanda: for read shapefile folium (for create map in jupyter notebook ) (optional) gdal /osgeo : for read jp2 image I follow this ...
2
votes
2answers
827 views

Installing PostGIS on PostgreSQL 12

I installed PostgreSQL 12 using Windows Installer. After the installation, there´s no option to install postgis extension. I tried to add postgis support in a database using CREATING EXTENSION and I ...
1
vote
0answers
27 views

Configure GeoNetwork to work with Jetty [closed]

I am trying to get GeoNetwork to work on my Windows Server 2016 machine, I installed geonetwork 2.10.4. but when I open http://localhost:8080/geonetwork/ 404 page not found error has shown. On my ...
2
votes
1answer
123 views

I can't install any plugins on QGIS

I just installed QGIS 3.4 on my computer (macOS Sierra 10.12.6) and I'm trying to install QuickMapServices, but I'm unable to. My plugins window looks like this: and the settings tab says "The ...
1
vote
1answer
43 views

import gdal, return “ImportError: DLL load failed:”

I came up against this problem during the installation of gdal, I tried several solutions already read on the site but none helped me. Here's what I did: 1) uninstall gdal 2) uninstall Anaconda 3) ...
0
votes
1answer
25 views

Unable to install gdal2tiles on PyCharm

I have installed gdal 2.4.1 while installing gdal2tiles. I am getting this error: ERROR: Could not find a version that satisfies the requirement GDAL==2.4.1 (from gdal2tiles) (from versions: 1....
1
vote
0answers
48 views

Using QGIS with system Python?

I'm trying to use the pyrealsense library from Intel in QGIS in Win10 The current version of mine is QGIS 3.4, which comes with Python 3.7 But the pyrealsense supports pip install on 3.6 and 2.7 I ...
1
vote
0answers
77 views

Installing QGIS on computer which has ArcGIS Desktop? [closed]

I have ArcGIS Desktop on my computer, but I want to install QGIS 3.8 as well. The installation finishes successfully as it says, but I can't find many files after and the program is not working. I ...
0
votes
1answer
142 views

Installing rasterio and Fiona together?

I work on Windows; I use Christoph Gohlke wheels; Python 3.7 After installing GDAL-3.0.1 and Fiona-1.8.6 an error occurs on import of fiona from fiona.ogrext import Iterator, ItemsIterator, ...
1
vote
0answers
25 views

Using TauDEM with ArcMap? [closed]

I can't add the TauDEM Tools.tbx to ArcMap 10.6.1. Windows 10 64bit. .... taudem tools.tbx is either not designed to run on Windows or it contains and err. ...... error status 0x000012f
3
votes
1answer
102 views

QGIS cannot import SciPy (QGIS 3.6 Noosa, Ubuntu 18.04, EnMapBox plugin)

I had been struggling to get QGIS installed because (currently) the ubuntugis repo seems to not be working well (couldn’t load Python at all). I got around that problem by installing QGIS using ...
0
votes
0answers
30 views

Installing PostGIS behind firewall on server with no Internet connection?

I'm trying to install PostGIS on a server so that I can run some SQL scripts for styling in QGIS, but to do so it seems to have to install through Stack Builder which requires an Internet connection. ...
1
vote
1answer
41 views

installing gdal from osgeo to work with GeoTIFF

I just installed Anaconda Navigator (and nothing else) in Windows and want to be able to work with GeoTIFF files in Spider (Python 3.7). It is my understanding that Navigator can search for packages ...
2
votes
0answers
28 views

QGIS3 application not there after installing

I installed QGIS3 on my computer at work. The installation was completed without errors. But there is no QGIS application on the computer. The folder exists though, and it also contains all the other ...
0
votes
1answer
46 views

Importing ArcPy in PyCharm?

>>> import arcpy Traceback (most recent call last): File "<stdin>", line 1, in <module> File "D:\Program Files (x86)\ArcGIS10.5\Desktop10.5\ArcPy\arcpy\__init__.py", line 22, ...
0
votes
0answers
62 views

No module named 'qgis' only in IDE?

I'm working with pycharm 3.7 on win 8.1 with anaconda. Im trying to import qgis with no success. after reading this link I succeeded to import qgis when runing python from terminal but not from IDE. ...
1
vote
1answer
2k views

Error installing GeoPandas?

Can someone help me with this error concerning installation of geopandas even after installing 'shapely'? Error: cwd: C:\Users\JASHVA~1\AppData\Local\Temp\pip-install-ccci6ax2\fiona\ ...
2
votes
0answers
60 views

Installing QGIS using software distribution?

In our company we use QGIS 3.4.8 (LTR). To install the same version for each user in a short time we use the rollout software, Baramundi. It works for the most installations, but for one installation ...
0
votes
0answers
324 views

QGIS 3.8 could not start ''Qgis_app.dll is missing'' check runtime environment check C:\OSGEO4W64\bin\qgis-dev-bin-g.exe

I had Qgis 3.4 running well on my PC Windows 10, 64 bit. I tried to upgrade to Qgis 3.8 Zanzibar and I had the error message: ''Qgis_app.dll is missing check runtime environment check C:\OSGEO4W64\bin\...
0
votes
0answers
34 views

OSGeo4w installer fails: unable to extract /appa/qt5/bin/qt5webenginecored.pdb

I am trying to install OSGeo4w. I have plenty of RAM and disk space, running Server 2016 standard. Installation fails with the following log: 2019/07/08 09:13:30 Menu name: OSGeo4W 2019/07/08 09:13:...
1
vote
0answers
181 views

Any ideas how to stop the Windows version QGIS crashing on exit?

I’m hoping someone can help. I know that there’s been a bug with QGIS crashing on exit, but I was hoping that this has been resolved with the latest release of the software (the 64bit version for ...
0
votes
0answers
19 views

QGIS 3.4.9 installer fails on qtquickcontrolsplugind.dll

Running Windows Server 2016 standard. The installation will not continue.
0
votes
0answers
88 views

Fiona installation in Python 3.6 ERROR: Command “python setup.py egg_info” failed with error code 1 [duplicate]

I'm trying to install Fiona using pip in Python (v 3.6.8). I'm using the following command: python36 -m pip install Fiona I'm getting the following error:
0
votes
0answers
19 views

Problem in installing ArcGIS for Server 10.3 and msxml3.dll

When I try to install ArcGIS for Server 10.3, there is a error: 0x80004001 - Reference to undefined entity 'nbsp'. in 'msxml3.dll' I had ArcGIS server 10.2 before installing this version. I ...
1
vote
1answer
40 views

Installing QGIS 2.16 alongside QGIS 3.6

I have QGIS 3.6 on my laptop. Is it possible to install QGIS 2.18 on the same laptop? Has someone this already done?
1
vote
1answer
80 views

Installing MapFish?

I have an installation problem with MapFish 3. I am trying to use the WAR file and it works with every MapFish version <=3.10.8 , but not with the newer ones (>=3.11.0). My system configuration: ...
0
votes
0answers
47 views

Python matplotlib not available error with QGIS 3.6 Noosa despite upgrading Python on Mac

While generating contours in QGIS 3.6 Noosa on Mac I get an error saying "python matplotlib not available". I've downloaded the latest Python version but the problem persists.
1
vote
0answers
162 views

Installing third-party Python Packages to Work With ArcPy and ArcGIS Pro?

My employer does not grant me permissions to use Python package managers like pip or conda since the websites that host these data are blocked. In ArcMap 10.x I have been able to install third-party ...
1
vote
0answers
36 views

Adding updates to current QGIS version from later ones?

I am currently using version 3.4 of QGIS, and I was wondering if it is possible to implement all of the awesome changes from version 3.5, 3.6, etc. into version 3.4 or do I need to keep installing the ...
0
votes
0answers
20 views

Installing GDAL for Python having PostgreSQL already installed

I usually install GDAL following this instructions. Part of the process is to set up the GDAL_DATA environment variable to the path of the gdal-data folder of the previosly installed GDAL. Turns out ...
1
vote
1answer
83 views

Installing ArcGIS Desktop , QGIS and independent Python packages on same machine?

I would like to have on the same machine all my GIS software installations. Both ArcGIS Desktop and QGIS come with their own Python installations but I want another independent Python where I can play ...
1
vote
0answers
126 views

No GDAL installers for latest versions of Python?

I usually install GDAL for Python using the files in GIS Internals. Since when installing packages through pip I was made aware that Python 2.7.16 is being deprecated next year, I went ahead and ...
0
votes
0answers
28 views

Are the *.env and *.var files neccesary for QGIS3

I asked a question about how to make sure that QGIS3 is always started by calling the qgis.bat file: Check whether QGIS3 was started by qgis.bat or qgis.exe One idea was to intentially break the ...